package com.supwisdom.dlpay.system.service.impl;

import com.supwisdom.dlpay.framework.dao.ResourceDao;
import com.supwisdom.dlpay.framework.dao.RoleDao;
import com.supwisdom.dlpay.framework.dao.RoleFunctionDao;
import com.supwisdom.dlpay.framework.domain.TResource;
import com.supwisdom.dlpay.framework.domain.TRole;
import com.supwisdom.dlpay.framework.domain.TRoleFunction;
import com.supwisdom.dlpay.framework.util.StringUtil;
import com.supwisdom.dlpay.system.service.RoleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service
public class RoleServiceImpl implements RoleService {
  @Autowired
  private RoleDao roleDao;

  @Autowired
  private ResourceDao resourceDao;

  @Autowired
  private RoleFunctionDao roleFunctionDao;

  @Override
  public List<TRole> findAllRoles() {
    List<TRole> list = roleDao.getAllRoles();
    if(!StringUtil.isEmpty(list)) return list;
    return new ArrayList<>(0);
  }

  @Override
  public TRole findRoleByRolecode(String rolecode) {
    return roleDao.findByRoleCode(rolecode);
  }

  @Override
  public TResource findResourceByURI(String uri) {
    return resourceDao.findByUri(uri);
  }

  @Override
  public TRoleFunction findRoleFunctionByRoleIdAndFunctionId(String roleid, String functionid) {
    return roleFunctionDao.findByRoleIdAndFunctionId(roleid,functionid);
  }
}
